Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Authenticate to the OpenCard EMS API with OAuth2 account_client credentials, request a bearer token, and scope it for the endpoints you call.
account_client
curl -X POST https://sandbox-api.opencard.io/oauth/token \ -H "Content-Type: application/x-www-form-urlencoded" \ -H "Accept: application/json" \ -d "grant_type=client_credentials" \ -d "client_id=YOUR_CLIENT_ID" \ -d "client_secret=YOUR_CLIENT_SECRET" \ -d "scope=organizations-write webhooks-write card-holders-write account-tpas-write"
{ "token_type": "Bearer", "expires_in": 31536000, "access_token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9..." }
organizations-read organizations-write card-holders-read card-holders-write webhooks-read webhooks-write webhook-events-read account-tpas-read account-tpas-write account-tpa-signatories-write account-tpa-identities-read payment-products-read account-payment-products-read account-payment-products-write public-records-read oauth-clients-read billings-write receipts-write
POST /accounts/{accountId}/oauthclients